@import url("https://fonts.googleapis.com/css2?family=Fascinate+Inline&family=Oswald:wght@200..700&display=swap");

/* landing */

#landing {
    /* background: #ffffff !important; */
    background: url("./uploads/n-jjspizzabannockburn-bg.jpg") no-repeat !important;
    background-size: cover !important;
    background-attachment: scroll !important;
    background-position: 50% !important;
    overflow: hidden;
}

#landing:before {
    content: "";
    display: block;
    position: absolute;
    height: 100%;
    width: 100%;
    background: linear-gradient(to right, #ffffff85 20%, #00000000 20%);
    background-attachment: fixed;
    /*opacity: 1;*/
    z-index: 2;
}

#landing #landing-content {
    width: 50%;
    left: 25%;
    top: 50%;
    z-index: 999;
}

#landing #landing-form {
    width: 80%;
    margin: auto;
}

#landing #landing-logo img {
    width: 250px;
    background: #fff;
    padding: 5px;
    /* border: 2px solid #122159; */
    border-radius: 50%;
    transition: 0.5s;
}

#landing #landing-form #tag-line {
    font-family: Fascinate Inline;
    font-size: 55px;
    font-weight: 600;
    text-shadow: none;
    width: fit-content;
    margin: 10px auto;
    border-bottom: 2px dashed #122159;
    line-height: normal;
    letter-spacing: 1px;
    /* background: linear-gradient(180deg, #f8a96e, #be4f00);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent; */
}

#landing #landing-form #tag-line .p1 {
    color: #ff363e;
}

#landing #landing-form #tag-line .p2 {
    color: #122159;
}

#landing #landing-form #form-text {
    width: 85%;
    margin: auto;
    font-size: 15px;
    font-weight: 400;
    text-shadow: none;
    color: #111;
    line-height: normal;
}

/* landing */

/* store */

#store-data {
    background:
        linear-gradient(to right, #ffffff8a 0%, #ffffff8a 100%),
        url("./uploads/pattern.png") #fff no-repeat;
    /* background: url('./uploads/s-bg.jpg'); */
    background-position: 50% 90%;
    background-attachment: scroll;
    background-size: cover;
    overflow: hidden;
    border-top: 3px solid #122159;
    color: #222 !important;
}

#store-data .office-info p,
#store-data #h-address a {
    color: #222 !important;
    letter-spacing: 1px;
}

#store-data .text-danger {
    color: #fff !important;
    background: #ff363e;
    padding: 2px 5px;
    border-radius: 10px;
    corner-shape: squircle;
}

#store-data h2:first-child {
    font-family: Oswald, sans-serif;
    font-size: 60px;
    font-weight: 800;
    text-transform: uppercase;
    color: #122159;
}

#store-data.col-md-3,
#store-data .col-md-3 p {
    color: #222 !important;
    font-weight: 500;
}

/* menu-nav */

#menu {
    background: #122159;
    text-align: center;
    box-shadow: 0px 5px 8px rgb(0 0 0 / 10%);
}

#menu ul li a {
    font-family: Poppins;
    font-size: 14px;
    font-weight: 400;
    color: #fff !important;
    /* border-bottom: 3px solid #E44126; */
    background: #122159 !important;
    text-transform: uppercase;
    letter-spacing: 0.1em;
    transition:
        transform 0.3s ease-in-out,
        font-weight 0.2s ease;
}

#menu ul li a:hover,
#menu ul li:hover > a {
    color: #fff !important;
    background: #ff363e !important;
    /* text-decoration: 2px overline #111; */
    /* background-image: linear-gradient(to left, #F36349 , #FCBC38) !important; */
    /* border-top: 4px solid #B9AA38; */
}

#menu-cont > #menu > #menu-ul > li > a.menu-active {
    color: #e7e7e7 !important;
    background: #ff363e !important;
    border-bottom: none !important;
    /* text-decoration: 2px overline #111; */
    /* background-image: linear-gradient(to right, #F36349 , #FCBC38) !important; */
}

.pn-Advancer {
    background: #122159 !important;
}

.pn-Advancer_Icon {
    fill: #fff !important;
}

/* menu */
#menu-items ul li #item-buttons input[type="button"],
input:checked + .input-group-label,
.modal-hh input:checked + .input-group-label,
#menu-items ul li #item-buttons .modal-hh .modal-footer button,
.modal-deals .modal-footer button {
    background: #122159 !important;
}

.btn-primary {
    background: #122159;
    border-color: #122159;
}

.btn-primary:hover {
    background: #ff363e;
    color: #fff;
    border-color: #ff363e;
}

.input-group-label:hover {
    background: #122159 !important;
    color: #fff !important;
}

#menu-items ul li #item-buttons input[type="button"]:hover,
#menu-items ul li #item-buttons .modal-hh .modal-footer button:hover,
.modal-deals .modal-footer button:hover {
    background: #ff363e !important;
    color: #fff !important;
}

.menu-item {
    background:
        linear-gradient(rgb(255 255 255 / 65%), rgb(255 255 255 / 65%)),
        url(./uploads/pattern.png) #fff !important;
    background-position: center !important;
    background-attachment: fixed !important;
    /* background: #f8f8f8; */
    padding: 20px;
    border-bottom: none;
}

#menu-items {
    background:
        linear-gradient(rgb(255 255 255 / 65%), rgb(255 255 255 / 65%)),
        url(./uploads/pattern.png) #fff !important;
    background-position: center !important;
    background-attachment: fixed !important;
    /* background: #f8f8f8; */
}

#menu-items .menu-item:first-child {
    padding-top: 3em;
}

#menu-items .menu-item h1 {
    position: relative;
    text-align: center;
    background: none !important;
    color: #ff363e !important;
    width: fit-content;
    margin: auto;
    padding: 5px 20px;
    border-radius: 4px;
    font-family: Fascinate Inline !important;
    font-weight: 800 !important;
    font-size: 45px !important;
    text-transform: uppercase;
    height: fit-content;
    /* border-bottom: 2px solid #fff; */
    /* border-bottom: 2px dashed #fff; */
    /* text-shadow: 0 3px 3px rgb(75 75 75 / 60%); */
    /* box-shadow: 0px 0px 15px #ffc8826e; */
    /* -webkit-text-fill-color: #090909;
    -webkit-text-stroke-width: 1px;
    -webkit-text-stroke-color: #fff;
    text-shadow: 4px 4px 0px #1e1e1e42, 5px 4px 0px rgba(0, 0, 0, 0.15); */
    /* text-shadow: 2px 2px 0px #fff, 5px 4px 0px rgb(0 0 0 / 10%); */
}

#menu-items ul li.group,
#menu-items ul li.single {
    background: #ffffff45;
    padding: 10px;
    border: 1px solid #ababab;
    border-radius: 2px;
    /* outline: 1px dashed #C02528;
    outline-offset: 5px; */
    min-height: 200px !important;
    box-shadow: 0px 0px 0px #131313ba;
    border-radius: 4px;
}

#menu-items ul li.group:hover,
#menu-items ul li.single:hover {
    background: #fffff1;
    border: 1px solid #122159;
    /* outline: 1px dashed #C02528;
    outline-offset: 5px; */
    box-shadow: 0px 0px 12px #1221599c;
    /* transform: scale(1); */
}

#menu-items .item-title-container .item-title {
    /* width: 90% !important; */
    font-size: 16px;
    font-family: Oswald;
    font-weight: 800;
    line-height: normal;
    text-transform: uppercase;
    letter-spacing: 0.02em;
    color: #122159;
    max-height: max-content !important;
    -webkit-line-clamp: 5;
}

li.group:hover .item-title,
li.single:hover .item-title {
    color: #ff363e !important;
}

/* #menu-items .item-title-container .item-title:after {
    content: '';
    display: block;
    margin-top: 3px;
    width: 0;
    height: 2px;
    background: #ED5226;
    transition: .2s;
}

#menu-items ul li.group:hover .item-title-container .item-title:after,
#menu-items ul li.single:hover .item-title-container .item-title:after {
    width: 100%;
} */

.item-price {
    background: #ff363e;
    color: #fff;
    font-family: Oswald;
    font-weight: 800;
    font-size: 14px !important;
    border-radius: 4px;
    padding: 8px 12px;
    height: fit-content;
    transition: 0.2s;
    letter-spacing: 0.02em;
    border: 2px solid #122159;
    box-shadow: 0px 0px 5px #51515147;
}

li.group:hover .item-price,
li.single:hover .item-price {
    background: #c02528 !important;
    color: #fff !important;
    border: 2px solid #fff;
    box-shadow: 0px 0px 10px #51515194;
}

.item-description {
    font-family: Poppins;
    font-size: 13px;
    color: #373737;
    text-transform: lowercase;
    -webkit-line-clamp: 3;
}

/* li.group:hover .item-description,
li.single:hover .item-description {
    color: #fff !important;
} */

/* li.group:hover .menu-item-outofstock,
li.single:hover .menu-item-outofstock {
    background: #fff;
    color: #CA0808 !important;
    padding: 4px;
    border-radius: 5px;
	width: fit-content;
}

li.group:hover span.menu-item-outofstock,
li.single:hover span.menu-item-outofstock {
    background: #fff;
    color: #CA0808 !important;
    padding: 4px;
    border-radius: 5px;
	width: fit-content;
} */

#menu-desc-header,
#menu-desc-footer {
    color: #111;
    text-align: center;
    width: fit-content;
    margin: auto;
    text-transform: uppercase;
}

/* about */

#about-us {
    text-align: center;
    /* background: url('./uploads/store-1.jpg') bottom right; */
    background:
        linear-gradient(#ffffff8c),
        url("./uploads/about-us.jpg") no-repeat !important;
    /* background-size: cover !important; */
    background-attachment: fixed !important;
    background-position: center !important;
    /* border-top: 2px dashed #FF0000; */
    padding-top: 3em;
    color: #111;
    font-family: Montserrat;
}

/* #about-us:before {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    height: 100%;
    width: 100%;
    background: #ffffffeb;
    opacity: 1;
    overflow: hidden;
    z-index: 1;
    background: radial-gradient(circle, #9e9e9e2e 10%, transparent 50%) repeat center/15px 15px !important;
} */

#about-us .d1 {
    position: relative;
    z-index: 2;
}

#about-us .container {
    /* border-top: 2px solid #111;
    padding-top: 5em; */
}

#about-us .section-title {
    display: none;
}

#about-us .column.col-md-7.about-us-img-container {
    width: 100%;
}

#about-us .column.col-md-5 {
    width: 100%;
    text-align: center;
}

#about-us h2 {
    font-family: Oswald, sans-serif;
    font-size: 50px;
    font-weight: 800;
    text-transform: uppercase;
    color: #122159;
    border-bottom: 2px solid #122159;
    width: fit-content;
    padding: 0 30px 5px 30px;
    margin: 45px auto 30px auto;
    /* text-shadow: 2px 2px 0px #fff, 5px 4px 0px rgb(0 0 0 / 10%); */
}

#about-us p {
    font-size: 16px;
    font-weight: 400;
    color: #111;
    font-family: Poppins, sans-serif;
    line-height: normal;
    /* letter-spacing: 1px; */
}

/* #about-us p.p1 {
    font-size: 20px;
    font-weight: 600;
    color: #fff;
    border-bottom: 2px solid #fff;
    width: fit-content;
    padding: 0 30px 5px 30px;
    margin: auto auto 15px auto;
    line-height: 25px;
} */

#about-us .section-content img {
    width: 250px;
    background: #fff;
    padding: 5px;
    border-radius: 50%;
    transition: all 1s;
}

#about-us .about-us-img-container {
    text-align: center;
}

/* media query */
@media (max-width: 1599px) {
    #landing #landing-logo img {
        width: 220px;
    }

    #landing #landing-form #tag-line {
        font-size: 42px;
    }

    #landing #landing-form #form-text {
        font-size: 14px;
        width: 100%;
    }
}

@media (max-width: 1399px) {
    body {
        padding-bottom: 0px;
    }

    #landing #landing-form #tag-line {
        font-size: 38px;
    }
}

@media (max-width: 1099px) {
    ::-webkit-scrollbar {
        width: 0px;
    }

    #main-content {
        padding-bottom: 0;
    }

    .toggle-left div {
        background: #122159;
    }

    #landing #landing-content {
        width: 90%;
        left: 50%;
        text-align: center;
    }

    #landing #landing-form {
        width: fit-content;
        margin: auto;
    }

    #landing #landing-content #tag-line {
        text-align: center;
        text-shadow: none;
    }

    #landing:before {
        /* background: linear-gradient(to right, #000000b0 30%, #00000000 50%); */
        background:
            linear-gradient(#ffffff73, #ffffffde),
            url("./uploads/n-1024-bg.jpg") no-repeat;
        background-size: cover;
        background-position: center;
        background-attachment: fixed;
        /* opacity: 1; */
        z-index: 2;
    }

    #menu {
        padding: 5px 28px;
    }

    #menu-ul .first {
        margin-left: 10px;
    }

    .pn-Advancer_Left {
        left: 0px;
        width: 30px;
    }

    #menu-ul li:last-child {
        margin-right: 10px;
    }

    .pn-Advancer_Right {
        right: 0px;
        width: 30px;
    }

    #menu-items .menu-item h1 {
        font-size: 45px !important;
        padding: 10px 20px;
    }

    #menu-items ul li.group,
    #menu-items ul li.single {
        width: 45%;
        margin: 15px auto;
        display: flex;
        align-content: flex-start;
        min-height: -webkit-fill-available;
    }

    #menu-items ul li.group:last-child,
    #menu-items ul li.single:last-child {
        width: 45%;
        margin: 15px auto 15px 2.5%;
    }

    #menu-items .item-title-container {
        display: flex;
        flex-direction: column;
        width: 100% !important;
    }

    .menu-item #menu_items ul li .visual-tag-label + .item-price {
        margin: 5px 0 0 0;
    }

    .menu-item #menu_items ul li .item-block-no-image .visual-tag-container {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        width: 100% !important;
    }

    .menu-item #menu_items ul li .visual-tag-container {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        width: 100% !important;
        gap: 5px;
    }

    #menu-items .item-title-container .item-title {
        min-height: fit-content !important;
        width: fit-content !important;
        font-size: 17px !important;
    }

    #menu-items .item-title-container .item-price {
        position: initial;
        width: fit-content !important;
        padding: 6px 13px 6px 13px;
        border: 2px solid #122159;
        border-radius: 3px;
        font-size: 14px !important;
    }

    #menu-desc-header,
    #menu-desc-footer {
        font-size: 14px;
    }
}

@media (max-width: 999px) {
    #store-data #store-details {
        text-align: center;
    }

    #store-data h2:first-child {
        font-size: 45px;
    }

    #about-us h2 {
        font-size: 45px;
    }
}

@media (max-width: 799px) {
    .menu-item #menu_items ul {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        /* align-items: flex-start; */
    }

    #menu-items .menu-item h1 {
        font-size: 40px !important;
    }

    #menu-items ul li.group,
    #menu-items ul li.single {
        width: 45%;
        margin: 10px auto;
        display: flex;
        padding: 10px;
        /* border: 1px solid #cf2b36; */
        align-items: flex-start;
    }

    .menu-item .item-thumb {
        position: relative !important;
        display: flex !important;
        justify-content: center;
        top: 0;
        width: 50% !important;
        transform: none;
        background: none !important;
    }

    .item-block-no-image {
        padding: 10px;
    }

    .menu-item .item-block {
        margin-left: 0;
    }

    #menu-items .item-title-container {
        width: 100% !important;
    }

    #menu-items .item-title-container .item-title {
        font-size: 18px !important;
    }

    #menu-items .item-title-container .item-price {
        font-size: 14px !important;
    }

    .item-description {
        font-size: 13px !important;
        -webkit-line-clamp: 3;
    }

    #menu-desc-header,
    #menu-desc-footer {
        font-size: 13px;
    }

    #about-us .section-content img {
        max-width: 50%;
    }

    #about-us .section-content img {
        width: 200px;
    }

    #about-us h2 {
        font-size: 40px;
    }

    #about-us p {
        font-size: 15px;
    }
}

@media (max-width: 699px) {
    #menu-items .modal {
        overflow-y: scroll !important;
    }
}

@media (max-width: 599px) {
    #menu-items .modal {
        overflow-y: scroll !important;
    }

    #landing #landing-logo img {
        width: 200px;
    }

    #landing #landing-form #tag-line {
        font-size: 32px;
    }

    #store-data h2:first-child {
        font-size: 40px;
    }

    #menu-items ul li.group,
    #menu-items ul li.single {
        width: 100%;
        margin: 12px auto;
        display: flex;
        align-items: flex-start;
    }

    #menu-items ul li.group:last-child,
    #menu-items ul li.single:last-child {
        width: 100%;
        margin: 10px auto 20px auto;
    }

    #menu-items .item-title-container {
        justify-content: center;
    }

    #menu-items .item-title-container .item-title {
        font-size: 18px !important;
    }

    .item-description {
        font-size: 13px !important;
    }

    #menu-items .item-title-container .item-price {
        font-size: 14px !important;
    }

    #about-us .section-content img {
        max-width: 50%;
    }

    #about-us .section-content img {
        width: 200px;
    }

    #about-us h2 {
        font-size: 35px;
    }

    #about-us p {
        font-size: 14px;
    }
}

@media (max-width: 399px) {
    #landing #landing-logo img {
        width: 150px;
    }

    #landing #landing-form #form-text {
        font-size: 13px;
        width: fit-content;
    }

    #landing #landing-form #tag-line {
        font-size: 28px;
    }
}